Skip to main content
Update a party

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Minimum string length: 1

Body

application/json
party_roles
enum<string>[]
Minimum array length: 1
Available options:
owner,
director,
executive,
representative
ownership_percent
string

From "0.00", which a director can hold, to "100.00", to two decimal places.

Pattern: ^(100(\.0{1,2})?|\d{1,2}(\.\d{1,2})?)$
first_name
string
Required string length: 1 - 30
Pattern: \S
last_name
string
Required string length: 1 - 30
Pattern: \S
email
string<email>
Maximum string length: 320
Pattern: ^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$
phone
string
Minimum string length: 8
Pattern: ^\+[1-9]\d{1,14}$
date_of_birth
string<date>
country_of_citizenship
string
Pattern: ^[A-Z]{2}$
residential_address
object
Required string length: 2 - 160
Pattern: \S
registration_number
string
Required string length: 4 - 20
Available options:
limited_liability_company,
private_limited_company,
public_limited_company,
general_partnership,
limited_liability_partnership,
limited_partnership,
limited_liability_entrepreneurial_company,
joint_stock_company,
single_member_llc,
multi_member_llc,
private_partnership,
private_corporation,
public_company
country_of_incorporation
string
Pattern: ^[A-Z]{2}$
incorporation_date
string<date>
registered_address
object
contact_full_name
string
Required string length: 2 - 160
contact_email
string<email>
Maximum string length: 320
Pattern: ^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$
contact_phone
string
Minimum string length: 8
Pattern: ^\+[1-9]\d{1,14}$

Response

The party, in the full view.

result
object
required
entities
object
required

Nothing can be included here.

not_included
object[]
required